<?php
require_once '../system/function.php';
$title = 'GOload '.$lang['title'];
$title_main = $lang['api'].' - GOload '.$lang['title'];
require_once SYS.'/header.php';

echo '
		<div class="block col-md-8">
			<h6 class="round_title">
				<a class="left" onclick="window.history.back();">
					<img src="/assets/img/left.svg">
				</a>
				<div class="title back"><a href="/">'.$title.'</a> | '.$lang['api'].'</div>
			</h6>
			<div class="view line menu">
				<style>@import url("https://'.$_SERVER['HTTP_HOST'].'/assets/monokai.css");h1, h2, h3, h4, h5, h6 {margin: 10px 0;font-family: inherit;font-weight: 500;color: inherit;}code span {color: #d14 !important;}</style>
				<h3>GET методы</h3>

				<h5>/api/all.php</h5>
				<div>Метод позволяет получить список всех файлов</div>
				<ul>
					<b>Параметры</b>
					<li type="square"><b>limit</b> (число) - ограничение на количество возвращаемых результатов. По умолчанию: все</li>
					<li type="square"><b>offset</b> (число) - смещение от начала</li>
				</ul>
				<ul>
					<b>Результат</b>
					<div>После успешного выполнения возвращает массив объектов</div>
				</ul>
				<ul>
					<b>Пример запроса</b>
					<div><a href="https://'.$_SERVER['HTTP_HOST'].'/api/all.php?limit=10&offset=2">https://'.$_SERVER['HTTP_HOST'].'/api/all.php?<b>limit</b>=10&<b>offset</b>=2</a></div>
				</ul>


				<h5>/api/file.php</h5>
				<div>Метод позволяет получить один файл</div>
				<ul>
					<b>Параметры</b>
					<li type="square"><b>id</b> (число) - id существующего файла</li>
				</ul>
				<ul>
					<b>Результат</b>
					<div>После успешного выполнения возвращает объект</div>
				</ul>
				<ul>
					<b>Пример запроса</b>
					<div><a href="https://'.$_SERVER['HTTP_HOST'].'/api/file.php?id=5641">https://'.$_SERVER['HTTP_HOST'].'/api/file.php?<b>id</b>=5641</a></div>
				</ul>


				<h5>/api/comments.php</h5>
				<div>Метод позволяет получить комментарии к файлу</div>
				<ul>
					<b>Параметры</b>
					<li type="square"><b>id</b> (число) - id существующего файла</li>
					<li type="square"><b>limit</b> (число) - ограничение на количество возвращаемых результатов. По умолчанию: все</li>
					<li type="square"><b>offset</b> (число) - смещение от начала</li>
				</ul>
				<ul>
					<b>Результат</b>
					<div>После успешного выполнения возвращает массив объектов</div>
				</ul>
				<ul>
					<b>Пример запроса</b>
					<div><a href="https://'.$_SERVER['HTTP_HOST'].'/api/comments.php?id=3051&limit=10&offset=0">https://'.$_SERVER['HTTP_HOST'].'/api/comments.php?<b>id</b>=3051&<b>limit</b>=10&<b>offset</b>=0</a></div>
				</ul>


				<h5>/api/search.php</h5>
				<div>Метод позволяет найти файлы по ключевому слову</div>
				<ul>
					<b>Параметры</b>
					<li type="square"><b>q</b> (строка) - ключевое слово, по которому будет осуществлён поиск</li>
					<li type="square"><b>limit</b> (число) - ограничение на количество возвращаемых результатов. По умолчанию: все</li>
					<li type="square"><b>offset</b> (число) - смещение от начала</li>
				</ul>
				<ul>
					<b>Результат</b>
					<div>После успешного выполнения возвращает массив объектов</div>
				</ul>
				<ul>
					<b>Пример запроса</b>
					<div><a href="https://'.$_SERVER['HTTP_HOST'].'/api/search.php?q=png&limit=10&offset=5">https://'.$_SERVER['HTTP_HOST'].'/api/search.php?<b>q</b>=png&<b>limit</b>=10&<b>offset</b>=5</a></div>
				</ul>



				<h3>POST методы</h3>

				<h5>/api/upload.php</h5>
				<div>Метод позволяет загрузить файлы на GOload</div>
				<ul>
					<b>POST параметры</b>
					<li type="square"><b>filename</b> (строка) - значение параметра name. Обязательное поле</li>
					<span>Пример: name="<b>filename</b>"</span>
					<li type="square"><b>username</b> (строка) - задаёт имя пользователя загрузившего файл. Длина от двух символов. Необязательный параметр</li>
					<li type="square"><b>access</b> (строка) - скрытие файла из общего списка на сайте. По умолчанию: true</li>
					<span>Значения: true - файл будет виден всем. false - файл будет скрыт и доступен по ссылке или через api</b></span>
					<li type="square"><b>pass</b> (строка) - Устанавливает пароль на файл</li>
				</ul>
				<ul>
					<b>Результат</b>
					<div>После успешного выполнения возвращает объект</div>
				</ul>
				<ul>
					<b>Запрос</b>
					<div><a href="https://'.$_SERVER['HTTP_HOST'].'/api/upload.php">https://'.$_SERVER['HTTP_HOST'].'/api/upload.php</a></div>
					<b>Пример кода на Javascript</b>
				</ul>



				<div>Данные от всех методов возвращаются в формате json</div>
			</div>
		</div>

		<div class="block col-md-4">
			<div class="title">'.$lang['nav'].'</div>
			<div class="link">
				<a href="/">'.$lang['go_home'].'</a>
			</div>
		</div>
';

require_once SYS.'/foot.php';
?>