/* LITEcore
 * https://goload.ru
 *
 * gifview.js */

var gifview = function(img) {
	this.element = img;
	if (!this.element.complete) {
		this.element.onload = () => {
			this.gif = this.element.getAttribute('data-gif');
			this.src = this.element.src;
			this.classN = this.element.className;
			this.imageId = this.element.id;
			this.circle = this.generateCircle();
			this.circleText = this.circle.children[0];
			this.image = this.generateImage();
			this.container = this.generateContainer();
			this.parentElement = this.element.parentElement;
			this.container.appendChild(this.image);
			this.container.appendChild(this.circle);
			this.loaded = false;
			this.blobURL;
			this.isPlaying = false;
			this.parentElement.replaceChild(this.container, this.element);
			this.parentElement.addEventListener('click', (event) => {
				if (event.target === this.circle || event.target === this.circleText) {
					this.showGif();
				} else if (this.isPlaying) {
					if (event.target === this.circle || event.target === this.circleText || event.target === this.container || event.target === this.image) {
						this.hideGif(); 
					}
				}
			});
		}
	} else {
		this.gif = this.element.getAttribute('data-gif');
		this.src = this.element.src;
		this.classN = this.element.className;
		this.imageId = this.element.id;
		this.circle = this.generateCircle();
		this.circleText = this.circle.children[0];
		this.image = this.generateImage();
		this.container = this.generateContainer();
		this.parentElement = this.element.parentElement;
		this.container.appendChild(this.image);
		this.container.appendChild(this.circle);
		this.loaded = false;
		this.blobURL;
		this.isPlaying = false;
		this.parentElement.replaceChild(this.container, this.element);
		this.parentElement.addEventListener('click', (event) => {
			if (event.target === this.circle || event.target === this.circleText) {
				this.showGif();
			} else if (this.isPlaying) {
				if (event.target === this.circle || event.target === this.circleText || event.target === this.container || event.target === this.image) {
					this.hideGif(); 
				}
			}
		});
	}
}

gifview.prototype.generateCircle = function() {
	var circle = document.createElement('div');
	circle.className = 'gifview-circle';
	var text = document.createElement('span');
	text.className = 'text';
	circle.appendChild(text);
	return circle;
}

gifview.prototype.generateContainer = function() {
	var container = document.createElement('div');
	container.style.position = 'relative';
	return container;
}

gifview.prototype.generateImage = function(className) {
	var img = document.createElement('img');
	img.className = this.classN;
	img.src = this.src;
	img.setAttribute('data-gif-location', this.gif);
	return img;
}

gifview.prototype.showGif = function() {
	if(!this.loaded) {
		this.fetchGif().then((blob) => {
			this.blobURL = URL.createObjectURL(blob);
			this.loaded = true;
			this.circle.classList.remove('loading');
			this.image.src = this.blobURL;
			this.circle.style.display = 'none';
			this.isPlaying = true;
		});
	} else {
		this.image.src = this.blobURL;
		this.circle.style.display = 'none';
		this.isPlaying = true;
	}
}

gifview.prototype.fetchGif = function() {
	this.circle.classList.add('loading');
	return new Promise((resolve, reject) => {
		fetch(this.gif)
		.then(function(res) {
			res.blob().then(function(blob) {
				resolve(blob);
			}).catch(function(error) {
				reject(error);
			});  
		}).catch(function(error) {
			reject(error);
		}); 
	});
}

gifview.prototype.hideGif = function() {
	this.image.src = this.src;
	this.circle.style.display = 'block';
	this.isPlaying = false;
}