/* LITEcore
* https://goload.ru
*
* main.js */

console.log('');
if ('serviceWorker' in navigator) {
	window.addEventListener('load', () => {
		navigator.serviceWorker.register('/sw.js')
		.then(registration => console.log('ServiceWorker registration successful'))
		.catch(error => console.log('ServiceWorker registration failed'))
	})
} else {
	console.log('ServiceWorker or PushManager is not supported')
}

$(document).ready(_ => {
	$('#themeToggle').on('click', (e) => {
		e.preventDefault(),
		$('body').toggleClass('light'),
		$('body').hasClass('light') ? document.cookie = "theme = light" : document.cookie = "theme = ; Max-Age = 0"
	}),
	
	$('#choice').on('change', function() {
		$('#fname').text($(this).val().replace(/.+[\\\/]/, '')),
		$('#error').text('')
	}),

	$('.btn').on('click', (e) => {
		if ($('#choice')[0].files.length === 0) {
			e.preventDefault(),
			$('#error').text($('#error').data('text'))
		}
	});

	$(document).on('paste', (e) => {
		e.preventDefault();
		for (let i = 0; i < e.originalEvent.clipboardData.items.length; i++) {
			let item = e.originalEvent.clipboardData.items[i];
			if (!(item.type.indexOf('image') != -1)) {
				return console.log(`${item.type} - format not allowed`)
			}
			let file = item.getAsFile();
			upload(file)
		}
	});

	const upload = (file) => {
		let formData = new FormData(),
		    filename = `File_${(new Date().getTime())}.${(file.type.split('/')[1])}`;
		formData.append('filename', file, filename);
		goload(formData, function() {
			let t = this;
			t.success ? (
				$(location).attr('href', t.data.url)
			) : (
				console.log(`Error! ${t.data.message}`)
			)
		})
	};

	const goload = (formdata, callback) => {
		$.ajax({
			type: 'POST',
			url: `https://goload.tk/api/upload.php`,
			data: formdata,
			contentType: false,
			processData: false,
			success: (data) => {
				callback.call(data)
			}
		})
	};

	const rand = (a, b) => Math.round(Math.random() * (b - a)) + a;

	(() => {
		const c = [67, 65, 84];
		const a = c.length;
		const t = '/assets/img/nyan_cat.gif';
		let i = 0;

		const nyan = (e) => {
			e.which === c[i] ? i++ : i = 0,
			i >= a && (!function() {
				document.createElement('div');
				const img = new Image();
				img.src = t,
				img.style.width = '440px',
				img.style.height = '220px',
				img.style.transition = `${rand(8, 16)}s all`,
				img.style.position = 'fixed',
				img.style.right = '-440px',
				img.style.top = rand(28, 480) + 'px',
				img.style.zIndex = 99998,
				document.body.appendChild(img),
				window.setTimeout(() => {
					img.style.right = 'calc(100% + 440px)';
				}, 50),
				window.setTimeout(() => {
					img.parentNode.removeChild(img);
				}, 10300);
			}(), i = 0);
		};
		document.addEventListener('keyup', nyan);
	})();
});