/* LITEcore
 * https://goload.ru
 *
 * path.js */

var fileInputTextDiv = document.getElementById('file_input_text_div');
var fileInput = document.getElementById('file_input_file');
var fileInputText = document.getElementById('file_input_text');

fileInput.addEventListener('change', changeInputText);
fileInput.addEventListener('change', changeState);

function changeInputText() {
	var str = fileInput.value;
	var i;
	if (str.lastIndexOf('\\')) {
		i = str.lastIndexOf('\\') + 1;
	} else if (str.lastIndexOf('/')) {
		i = str.lastIndexOf('/') + 1;
	}
	fileInputText.value = str.slice(i, str.length);
}

function changeState() {
	if (fileInputText.value.length != 0) {
		if (!fileInputTextDiv.classList.contains("is-focused")) {
			fileInputTextDiv.classList.add('is-focused');
		}
	} else {
		if (fileInputTextDiv.classList.contains("is-focused")) {
			fileInputTextDiv.classList.remove('is-focused');
		}
	}
}

var accordion = (function() {
	var $accordion = $('.expanded');
	var $accordion_header = $accordion.find('.expanded-header');
	var $accordion_item = $('.expanded-item');
	var settings = {
		speed: 400,
		oneOpen: false
	};

	return {
		init: function($settings) {
			$accordion_header.on('click', function() {
				accordion.toggle($(this));
			});
			$.extend(settings, $settings); 

			if (settings.oneOpen && $('.expanded-item.active').length > 1) {
				$('.expanded-item.active:not(:first)').removeClass('active');
			}
			$('.expanded-item.active').find('> .expanded-body').show();
		},
		toggle: function($this) {
			if (settings.oneOpen && $this[0] != $this.closest('.expanded').find('> .expanded-item.active > .expanded-header')[0]) {
				$this.closest('.expanded')
				.find('> .expanded-item') 
				.removeClass('active')
				.find('.expanded-body')
				.slideUp()
			}
			$this.closest('.expanded-item').toggleClass('active');
			$this.next().stop().slideToggle(settings.speed);
		}
	}
})();

$(document).ready(() => {
	accordion.init({ speed: 300, oneOpen: true })

	const limit = '228';
	$('#text').on('input', function(e) {
		if ($('#text').val().length <= limit) {
			$('#result').html(limit - $(this).val().length)
		} else {
			$('#result').html('0'),
			$('#text').val($('#text').val().substr(0, limit))
		}
	})

});