/* LITEcore
 * https://goload.ru
 *
 * video_player_setup.js */

var GO_Video_Player = function() {
	"use strict";
	var Self = this;
	Self.playerIds = [];

	Self.init = function (options) {
		Self.params = options;
		page_params.basichtml5_qselect_setup = {};
		Self.initPlayers();
	};
	Self.merge_options = function (obj1,obj2) {
		var obj3 = {};
		for (var attrname in obj1) {
			obj3[attrname] = obj1[attrname];
		}
		for (var attrname in obj2) {
			obj3[attrname] = obj2[attrname];
		} return obj3;
	};
	Self.initPlayers = function () {
		var k = 0,
		playerList = Self.getKeys(Self.params),
		nbPlayer = playerList.length,
		currentPlayer;

		for (k; k < nbPlayer; k++) {
			Self.currentPlayerID = playerList[k];
			currentPlayer = Self.params[Self.currentPlayerID];

			Self.addEvents(currentPlayer, Self.currentPlayerID, Self.isVr(currentPlayer));
			Self.createPlayer(currentPlayer, Self.currentPlayerID);
		}
	};
	Self.getUrlVars = function() {
		var vars = {};
		window.location.href.replace(/[?&]+([^=&]+)=([^&]*)/gi, function(m,key,value) {
			vars[key] = value;
		});
		return vars;
	};
	Self.getKeys = function(obj) {
		var keys = [],
		i;
		for (i in obj) {
			if (obj.hasOwnProperty(i)) {
				keys.push(i);
			}
		}
		return keys;
	};
	Self.isVr = function (currentPlayer) {
		return currentPlayer.createPlayerSetup.isVr;
	};
	Self.addEvents = function(playerObj, playerId, isVr) {
		Self.defaultPlayerEvents = {

			onSeek: function() {
				if (typeof htTrack != 'undefined') {
					htTrack.ptrack();
				}
			},
			onQualityUpsell: function() {
				window.location.href = playerObj.playervars.qualityUpsellUrl;
			},
			onVrError: function() {
				alert('This feature is not supported on your current browser!');
			},
			onPlay: function () {
				Self.increaseViewCount(playerObj.viewUrl, 5000, playerObj.amateurVideo);
			},
			onReady: function () {
				if (typeof mgPerformanceTimingSettings !== 'undefined') {
					mgPerformanceTimingSettings.playerObj = document.getElementById(playerId).getElementsByTagName('video')[0];
				}
				if(isVr) {
					var globalObjUtils = {
						'isMac': navigator.userAgent.indexOf('Mac OS X') != -1,
						'isSafari': (navigator.userAgent.indexOf('Safari') != -1 && navigator.userAgent.indexOf('Chrome') == -1)
					};
					if (globalObjUtils.isMac && globalObjUtils.isSafari) {
						alert('This feature is not supported on your current browser!');
					}
				}
			}
		};
		playerObj.createPlayerSetup.events = Self.merge_options(Self.defaultPlayerEvents, playerObj.createPlayerSetup.events);
	};
	Self.increaseViewCount = function (requestUrl, time) {
		if (requestUrl === null) {
			return
		}
	};
	Self.createPlayer = function(playerData, playerId) {
		xlll.createPlayer(playerId, playerData.createPlayerSetup);
		if (xlll.choosenPlayer.playerName === 'basicHTML5' && xlll.loaderVersion < "3.3.0") {
			document.getElementById(playerId).parentElement.classList.add("basicPlayer");
			Self.playerIds.push(playerId);

			page_params.basichtml5_qselect_setup.playerids = Self.playerIds;
		}
	};
};

try {
	var my_GO_Video_Player = new GO_Video_Player();
	my_GO_Video_Player.init(page_params.video_player_setup);
} catch(e) {
	console.log(e);
}